package com.dt.care.controller;

import com.dt.care.dto.AgesNameDto;
import com.dt.care.dto.DiseasesDto;
import com.dt.care.vo.ResultVo;
import com.dt.common.domain.HxwAgeBasedVaccineRecommendations;
import com.dt.common.domain.HxwDiseases;
import com.dt.common.domain.HxwVaccines;
import com.dt.common.service.HxwAgeBasedVaccineRecommendationsService;
import com.dt.common.service.HxwDiseasesService;
import com.dt.common.service.HxwVaccineDiseaseRelationsService;
import com.dt.common.service.HxwVaccinesService;
import com.dt.config.NonLoginRequired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("agesName")
public class AgesNameController {
    @Resource
    private HxwAgeBasedVaccineRecommendationsService agesNameService;
    @Resource
    private HxwDiseasesService hxwDiseasesService;

    @Resource
    private HxwVaccinesService hxwVaccinesService;
    @Resource
    private HxwVaccineDiseaseRelationsService hxwVaccineDiseaseRelationsService;
    @RequestMapping("findByAgesName")
    @NonLoginRequired
    public ResultVo findByAgesName() {//获取到年龄段
        List<HxwAgeBasedVaccineRecommendations> list = agesNameService.list();
        List<String> agesName=new ArrayList<>();
        for (HxwAgeBasedVaccineRecommendations ageName : list) {
            agesName.add(ageName.getAgeGroup());
        }
        return ResultVo.OK(agesName);

    }


    @RequestMapping("findByAgesNameByVaccines")
    @NonLoginRequired
    public ResultVo findByAgesNameByVaccines(@RequestBody AgesNameDto agesNameDto){//获取到年龄段的疫苗
        List<HxwVaccines> list=agesNameService.findByAgesNameByVaccines(agesNameDto);
        if (list != null){
            return ResultVo.OK(list);
        }else {
            return ResultVo.ERROR("查询失败");
        }
    }


    @RequestMapping("findByDiseases")
    @NonLoginRequired
    public ResultVo findByDiseases(){//获得到疾病名称
        List<HxwDiseases> list = hxwDiseasesService.list();
        List<String> diseasesName=new ArrayList<>();
        for (HxwDiseases diseases : list){
            diseasesName.add(diseases.getName());
        }
        return ResultVo.OK(diseasesName);
    }

    @RequestMapping("findByDiseasesByVaccines")
    @NonLoginRequired
    public ResultVo findByDiseasesByVaccines(@RequestBody DiseasesDto dto){//获取到疾病和对应疫苗
        HxwDiseases hxwDiseases=hxwVaccineDiseaseRelationsService.findByDiseasesByVaccines(dto);
        if (hxwDiseases != null){
            return ResultVo.OK(hxwDiseases);
        }else {
            return ResultVo.ERROR("疾病和对应疫苗查询失败");
        }
    }


    @RequestMapping("findByVaccines")//疫苗查询详情
    @NonLoginRequired
    public ResultVo findByVaccines(@RequestBody AgesNameDto dto){
        HxwVaccines hxwVaccines=hxwVaccinesService.findByVaccinesDetails(dto);
        return ResultVo.OK(hxwVaccines);
    }
}
