package com.dt.care.controller;

import com.dt.care.vo.ResultVo;
import com.dt.common.service.*;
import com.dt.config.NonLoginRequired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;
import java.io.InputStream;

@RestController
@RequestMapping("excelFile")
public class ExcelFileLeadInController {


    @Resource
    private FoodRecordService foodRecordService;
    @Resource
    private SleepRecordService sleepRecordService;

    @Resource
    private TemperatureRecordService temperatureRecordService;
    @Resource
    private ToiletRecordService toiletRecordService;
    @Resource
    private AbnormalRecordService abnormalRecordService;




    @RequestMapping("leadIn")
    @NonLoginRequired
    public ResultVo leadIn(@RequestParam("file")MultipartFile file){
        try {
            InputStream inputStream = file.getInputStream();
            foodRecordService.leadIn(inputStream);
            sleepRecordService.leadIn(inputStream);
            temperatureRecordService.leadIn(inputStream);
            toiletRecordService.leadIn(inputStream);
            abnormalRecordService.leadIn(inputStream);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        return ResultVo.OK("导入成功");
    }
}
