package com.dt.care.controller;

import com.dt.care.dto.VaccinesDto;
import com.dt.care.vo.ResultVo;
import com.dt.common.domain.HxwVaccineCategories;
import com.dt.common.domain.HxwVaccines;
import com.dt.common.service.HxwVaccineCategoriesService;
import com.dt.common.service.HxwVaccinesService;
import com.dt.config.NonLoginRequired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("vaccines")
public class VaccinesController {

    @Resource
    private HxwVaccinesService hxwVaccinesService;
    @Resource
    private HxwVaccineCategoriesService hxwVaccineCategories;

    @RequestMapping("findByVaccines")
    @NonLoginRequired
    public ResultVo findByVaccines(){
        List<HxwVaccineCategories> list = hxwVaccineCategories.list();
        List<String> names=new ArrayList<>();
        for (HxwVaccineCategories name : list){
            names.add(name.getName());
        }
        return ResultVo.OK(names);
    }





    @RequestMapping("findByVaccinesByCategory")
    @NonLoginRequired
    public ResultVo findByVaccinesByCategory(@RequestBody VaccinesDto dto){//查询出所有儿童或者成人的疫苗
        List<HxwVaccines> vaccinesList= hxwVaccinesService.findByVaccinesByCategory(dto);
        if(vaccinesList!=null){
            return ResultVo.OK(vaccinesList);
        }else {
            return ResultVo.ERROR("疫苗分类查询失败");
        }
    }


}
