package com.dt.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

/**
 * hxw_疫苗对比表：存储不同疫苗的对比信息
 * @TableName hxw_vaccine_comparisons
 */
@TableName(value ="hxw_vaccine_comparisons")
@Data
public class HxwVaccineComparisons {
    /**
     * 对比ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 疫苗类型，如"流感疫苗"
     */
    private String vaccineType;

    /**
     * 疫苗名称，如"三价灭活流感疫苗"
     */
    private String name;

    /**
     * 适用年龄
     */
    private String suitableAge;

    /**
     * 接种方式
     */
    private String injectionMethod;

    /**
     * 预防效果
     */
    private String preventionEffect;

    /**
     * 价格区间
     */
    private String priceRange;

    /**
     * 优点
     */
    private String advantages;

    /**
     * 缺点
     */
    private String disadvantages;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 更新时间
     */
    private Date updatedAt;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HxwVaccineComparisons other = (HxwVaccineComparisons) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getVaccineType() == null ? other.getVaccineType() == null : this.getVaccineType().equals(other.getVaccineType()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getSuitableAge() == null ? other.getSuitableAge() == null : this.getSuitableAge().equals(other.getSuitableAge()))
            && (this.getInjectionMethod() == null ? other.getInjectionMethod() == null : this.getInjectionMethod().equals(other.getInjectionMethod()))
            && (this.getPreventionEffect() == null ? other.getPreventionEffect() == null : this.getPreventionEffect().equals(other.getPreventionEffect()))
            && (this.getPriceRange() == null ? other.getPriceRange() == null : this.getPriceRange().equals(other.getPriceRange()))
            && (this.getAdvantages() == null ? other.getAdvantages() == null : this.getAdvantages().equals(other.getAdvantages()))
            && (this.getDisadvantages() == null ? other.getDisadvantages() == null : this.getDisadvantages().equals(other.getDisadvantages()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getVaccineType() == null) ? 0 : getVaccineType().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getSuitableAge() == null) ? 0 : getSuitableAge().hashCode());
        result = prime * result + ((getInjectionMethod() == null) ? 0 : getInjectionMethod().hashCode());
        result = prime * result + ((getPreventionEffect() == null) ? 0 : getPreventionEffect().hashCode());
        result = prime * result + ((getPriceRange() == null) ? 0 : getPriceRange().hashCode());
        result = prime * result + ((getAdvantages() == null) ? 0 : getAdvantages().hashCode());
        result = prime * result + ((getDisadvantages() == null) ? 0 : getDisadvantages().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", vaccineType=").append(vaccineType);
        sb.append(", name=").append(name);
        sb.append(", suitableAge=").append(suitableAge);
        sb.append(", injectionMethod=").append(injectionMethod);
        sb.append(", preventionEffect=").append(preventionEffect);
        sb.append(", priceRange=").append(priceRange);
        sb.append(", advantages=").append(advantages);
        sb.append(", disadvantages=").append(disadvantages);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append("]");
        return sb.toString();
    }
}