package com.dt.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Data;

/**
 * hxw_疫苗详情表：存储疫苗的详细信息
 * @TableName hxw_vaccine_details
 */
@TableName(value ="hxw_vaccine_details")
@Data
public class HxwVaccineDetails {
    /**
     * 详情ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 关联的疫苗ID
     */
    private Integer vaccineId;

    /**
     * 适用年龄，如"6-35月龄或≥3周岁"
     */
    private String suitableAge;

    /**
     * 接种方式，如"肌肉注射"、"鼻喷"
     */
    private String injectionMethod;

    /**
     * 预防效果
     */
    private String preventionEffect;

    /**
     * 接种剂量信息
     */
    private String dosageInfo;

    /**
     * 价格信息，如"约200元/剂"
     */
    private String priceInfo;

    /**
     * 价格说明
     */
    private String priceDescription;

    /**
     * 是否医保覆盖
     */
    private Integer isInsuranceCovered;

    /**
     * 副作用
     */
    private String sideEffects;

    /**
     * 禁忌症
     */
    private String contraindications;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 更新时间
     */
    private Date updatedAt;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HxwVaccineDetails other = (HxwVaccineDetails) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getVaccineId() == null ? other.getVaccineId() == null : this.getVaccineId().equals(other.getVaccineId()))
            && (this.getSuitableAge() == null ? other.getSuitableAge() == null : this.getSuitableAge().equals(other.getSuitableAge()))
            && (this.getInjectionMethod() == null ? other.getInjectionMethod() == null : this.getInjectionMethod().equals(other.getInjectionMethod()))
            && (this.getPreventionEffect() == null ? other.getPreventionEffect() == null : this.getPreventionEffect().equals(other.getPreventionEffect()))
            && (this.getDosageInfo() == null ? other.getDosageInfo() == null : this.getDosageInfo().equals(other.getDosageInfo()))
            && (this.getPriceInfo() == null ? other.getPriceInfo() == null : this.getPriceInfo().equals(other.getPriceInfo()))
            && (this.getPriceDescription() == null ? other.getPriceDescription() == null : this.getPriceDescription().equals(other.getPriceDescription()))
            && (this.getIsInsuranceCovered() == null ? other.getIsInsuranceCovered() == null : this.getIsInsuranceCovered().equals(other.getIsInsuranceCovered()))
            && (this.getSideEffects() == null ? other.getSideEffects() == null : this.getSideEffects().equals(other.getSideEffects()))
            && (this.getContraindications() == null ? other.getContraindications() == null : this.getContraindications().equals(other.getContraindications()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getVaccineId() == null) ? 0 : getVaccineId().hashCode());
        result = prime * result + ((getSuitableAge() == null) ? 0 : getSuitableAge().hashCode());
        result = prime * result + ((getInjectionMethod() == null) ? 0 : getInjectionMethod().hashCode());
        result = prime * result + ((getPreventionEffect() == null) ? 0 : getPreventionEffect().hashCode());
        result = prime * result + ((getDosageInfo() == null) ? 0 : getDosageInfo().hashCode());
        result = prime * result + ((getPriceInfo() == null) ? 0 : getPriceInfo().hashCode());
        result = prime * result + ((getPriceDescription() == null) ? 0 : getPriceDescription().hashCode());
        result = prime * result + ((getIsInsuranceCovered() == null) ? 0 : getIsInsuranceCovered().hashCode());
        result = prime * result + ((getSideEffects() == null) ? 0 : getSideEffects().hashCode());
        result = prime * result + ((getContraindications() == null) ? 0 : getContraindications().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", vaccineId=").append(vaccineId);
        sb.append(", suitableAge=").append(suitableAge);
        sb.append(", injectionMethod=").append(injectionMethod);
        sb.append(", preventionEffect=").append(preventionEffect);
        sb.append(", dosageInfo=").append(dosageInfo);
        sb.append(", priceInfo=").append(priceInfo);
        sb.append(", priceDescription=").append(priceDescription);
        sb.append(", isInsuranceCovered=").append(isInsuranceCovered);
        sb.append(", sideEffects=").append(sideEffects);
        sb.append(", contraindications=").append(contraindications);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append("]");
        return sb.toString();
    }
}