package com.dt.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * hxw_疫苗信息表：存储所有疫苗的基本信息
 * @TableName hxw_vaccines
 */
@TableName(value ="hxw_vaccines")
@Data
public class HxwVaccines {
    /**
     * 疫苗ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 所属分类ID
     */
    private Integer categoryId;

    /**
     * 疫苗名称，如"四价流感疫苗"
     */
    private String name;

    /**
     * 疫苗简称
     */
    private String shortName;

    /**
     * 是否免疫规划疫苗
     */
    private Integer isFree;

    /**
     * 是否热门疫苗
     */
    private Integer isHot;

    /**
     * 疫苗图标URL
     */
    private String iconUrl;

    /**
     * 简短介绍
     */
    private String briefIntro;

    /**
     * 显示顺序
     */
    private Integer displayOrder;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 更新时间
     */
    private Date updatedAt;

    @TableField(exist = false)
    private HxwVaccineExperts experts;
    @TableField(exist = false)
    private List<HxwVaccineDiscussions> discussions;
    @TableField(exist = false)
    private HxwVaccineDetails details;
    @TableField(exist = false)
    private List<HxwVaccineContentModules> contentModules;
    @TableField(exist = false)
    private List<HxwKnowledgeArticles> articles;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HxwVaccines other = (HxwVaccines) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCategoryId() == null ? other.getCategoryId() == null : this.getCategoryId().equals(other.getCategoryId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getShortName() == null ? other.getShortName() == null : this.getShortName().equals(other.getShortName()))
            && (this.getIsFree() == null ? other.getIsFree() == null : this.getIsFree().equals(other.getIsFree()))
            && (this.getIsHot() == null ? other.getIsHot() == null : this.getIsHot().equals(other.getIsHot()))
            && (this.getIconUrl() == null ? other.getIconUrl() == null : this.getIconUrl().equals(other.getIconUrl()))
            && (this.getBriefIntro() == null ? other.getBriefIntro() == null : this.getBriefIntro().equals(other.getBriefIntro()))
            && (this.getDisplayOrder() == null ? other.getDisplayOrder() == null : this.getDisplayOrder().equals(other.getDisplayOrder()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCategoryId() == null) ? 0 : getCategoryId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getShortName() == null) ? 0 : getShortName().hashCode());
        result = prime * result + ((getIsFree() == null) ? 0 : getIsFree().hashCode());
        result = prime * result + ((getIsHot() == null) ? 0 : getIsHot().hashCode());
        result = prime * result + ((getIconUrl() == null) ? 0 : getIconUrl().hashCode());
        result = prime * result + ((getBriefIntro() == null) ? 0 : getBriefIntro().hashCode());
        result = prime * result + ((getDisplayOrder() == null) ? 0 : getDisplayOrder().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", categoryId=").append(categoryId);
        sb.append(", name=").append(name);
        sb.append(", shortName=").append(shortName);
        sb.append(", isFree=").append(isFree);
        sb.append(", isHot=").append(isHot);
        sb.append(", iconUrl=").append(iconUrl);
        sb.append(", briefIntro=").append(briefIntro);
        sb.append(", displayOrder=").append(displayOrder);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append("]");
        return sb.toString();
    }
}