package com.dt.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dt.care.dto.AgesNameDto;
import com.dt.common.domain.HxwAgeBasedVaccineRecommendations;
import com.dt.common.domain.HxwVaccines;
import com.dt.common.mapper.HxwVaccinesMapper;
import com.dt.common.service.HxwAgeBasedVaccineRecommendationsService;
import com.dt.common.mapper.HxwAgeBasedVaccineRecommendationsMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
* @author sunday
* @description 针对表【hxw_age_based_vaccine_recommendations(hxw_按月龄疫苗推荐表：按照儿童月龄推荐接种的疫苗)】的数据库操作Service实现
* @createDate 2025-07-03 09:45:44
*/
@Service
public class HxwAgeBasedVaccineRecommendationsServiceImpl extends ServiceImpl<HxwAgeBasedVaccineRecommendationsMapper, HxwAgeBasedVaccineRecommendations>
    implements HxwAgeBasedVaccineRecommendationsService{

    @Resource
    private HxwVaccinesMapper hxwVaccinesMapper;
    @Override
    public List<HxwVaccines> findByAgesNameByVaccines(AgesNameDto agesNameDto) {
        QueryWrapper<HxwAgeBasedVaccineRecommendations> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("age_group",agesNameDto.getAgesName());
        List<HxwAgeBasedVaccineRecommendations> list = this.baseMapper.selectList(queryWrapper);
        System.err.println(list);
        List<Integer> list1=new ArrayList<>();
        for (HxwAgeBasedVaccineRecommendations ageBasedVaccineRecommendations : list) {
            list1.add(ageBasedVaccineRecommendations.getVaccineId());
        }
        System.err.println(list1);
        QueryWrapper<HxwVaccines> queryWrapper1 = new QueryWrapper<>();
        queryWrapper1.in("id",list1);
        List<HxwVaccines> vaccinesList = hxwVaccinesMapper.selectList(queryWrapper1);

        return vaccinesList;
    }
}




