package com.dt.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dt.care.dto.DiseasesDto;
import com.dt.common.domain.HxwDiseases;
import com.dt.common.domain.HxwVaccineDiseaseRelations;
import com.dt.common.domain.HxwVaccines;
import com.dt.common.mapper.HxwDiseasesMapper;
import com.dt.common.mapper.HxwVaccinesMapper;
import com.dt.common.service.HxwVaccineDiseaseRelationsService;
import com.dt.common.mapper.HxwVaccineDiseaseRelationsMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
* @author sunday
* @description 针对表【hxw_vaccine_disease_relations(hxw_疫苗-疾病关联表：关联疫苗与其预防的疾病)】的数据库操作Service实现
* @createDate 2025-07-03 09:45:44
*/
@Service
public class HxwVaccineDiseaseRelationsServiceImpl extends ServiceImpl<HxwVaccineDiseaseRelationsMapper, HxwVaccineDiseaseRelations>
    implements HxwVaccineDiseaseRelationsService{

    @Resource
    private HxwDiseasesMapper hxwDiseasesMapper;
    @Resource
    private HxwVaccinesMapper hxwVaccinesMapper;
    @Override
    public HxwDiseases findByDiseasesByVaccines(DiseasesDto dto) {
        QueryWrapper<HxwDiseases> diseasesWrapper=new QueryWrapper<>();
        diseasesWrapper.eq("name",dto.getDiseasesName());
        HxwDiseases diseases=hxwDiseasesMapper.selectOne(diseasesWrapper);
        if (diseases!=null){
            Integer id = diseases.getId();
            QueryWrapper<HxwVaccineDiseaseRelations> relationsWrapper=new QueryWrapper<>();
            relationsWrapper.eq("disease_id",id);
            List<HxwVaccineDiseaseRelations> hxwVaccineDiseaseRelations = this.baseMapper.selectList(relationsWrapper);
            List<Integer> list=new ArrayList<>();
            for (HxwVaccineDiseaseRelations relation : hxwVaccineDiseaseRelations) {
                list.add(relation.getVaccineId());
            }
            QueryWrapper<HxwVaccines> wrapper=new QueryWrapper<>();
            wrapper.in("id",list);
            List<HxwVaccines> hxwVaccines = hxwVaccinesMapper.selectList(wrapper);
            diseases.setVaccines(hxwVaccines);
            return diseases;

        }else{
            return null;
        }
    }
}




